%define name sdlvexed
%define version 0.6
%define release %mkrel 8

Summary: Colourful puzzle
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
#gw from Gentoo, make it run again:
#http://bugs.gentoo.org/show_bug.cgi?id=155934
#https://qa.mandriva.com/show_bug.cgi?id=49432
Patch: sdlvexed-new-perl-sdl.patch
License: GPLv2+
Group: Games/Puzzles
#Url: http://core.segfault.pl/~krzynio/vexed/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: imagemagick
BuildArch: noarch

%description
SDL Vexed is a puzzle game written in Perl-SDL. It is a clone of the
classic PalmOS game Vexed.

%prep
%setup -q
%patch

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_gamesbindir,%_gamesdatadir/%name}
cp -r gfx/  levelpacks/ vexed %buildroot%_gamesdatadir/%name
cat > %buildroot%_gamesbindir/%name << EOF
#!/bin/sh
cd %_gamesdatadir/%name
./vexed
EOF
chmod 755 %buildroot%_gamesbindir/%name %buildroot%_gamesdatadir/%name/vexed
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=SDL Vexed
Comment=Colourful puzzle game
Exec=%_gamesbindir/%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 48x48 gfx/block1.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 gfx/block1.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 gfx/block1.png %buildroot%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%doc CHANGELOG README*
%_gamesbindir/%name
%_gamesdatadir/%name
%_datadir/applications/mandriva*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Fri Apr 03 2009 Götz Waschk <waschk@mandriva.org> 0.6-8mdv2009.1
+ Revision: 363700
- make it work again (bug #49432)
- update license
- remove URL
- fix menu category

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Aug 27 2008 Götz Waschk <waschk@mandriva.org> 0.6-7mdv2009.0
+ Revision: 276483
- fix installation

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - fix spacing at top of description
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 0.6-3mdv2008.0
+ Revision: 71643
- Import sdlvexed



* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 0.6-3mdv2007.0
- xdg menu

* Tue Oct 04 2005 Götz Waschk <waschk@mandriva.org> 0.6-2mdk
- Rebuild

* Thu Sep 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- initial package
